Update an existing post-call analysis configuration
curl --request PUT \
--url https://api.example.com/v2/ai-agents/{ai_agent_id}/postcall-analysis \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"type": "string",
"name": "<string>",
"description": "<string>",
"analysis_prompt": "<string>",
"temperature": 0.1,
"model": "gpt-4o",
"response_format": {}
}
]
}
'import requests
url = "https://api.example.com/v2/ai-agents/{ai_agent_id}/postcall-analysis"
payload = { "items": [
{
"type": "string",
"name": "<string>",
"description": "<string>",
"analysis_prompt": "<string>",
"temperature": 0.1,
"model": "gpt-4o",
"response_format": {}
}
] }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
type: 'string',
name: '<string>',
description: '<string>',
analysis_prompt: '<string>',
temperature: 0.1,
model: 'gpt-4o',
response_format: {}
}
]
})
};
fetch('https://api.example.com/v2/ai-agents/{ai_agent_id}/postcall-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"type": "string",
"name": "<string>",
"description": "<string>",
"analysis_prompt": "<string>",
"temperature": 0.1,
"model": "gpt-4o",
"response_format": {}
}
],
"created_by_user_id": "<string>",
"ai_agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Post-call Analysis
Update an existing post-call analysis configuration
Update an existing post-call analysis configuration
PUT
/
v2
/
ai-agents
/
{ai_agent_id}
/
postcall-analysis
Update an existing post-call analysis configuration
Path Parameters
Body
application/json
items
(StringAnalysisItem · object | EnumAnalysisItem · object | BooleanAnalysisItem · object | NumberAnalysisItem · object)[]
required
Updated list of analysis items. This will completely replace the existing configuration
- StringAnalysisItem
- EnumAnalysisItem
- BooleanAnalysisItem
- NumberAnalysisItem
Show child attributes
Show child attributes
Response
Successful Response
items
(StringAnalysisItem · object | EnumAnalysisItem · object | BooleanAnalysisItem · object | NumberAnalysisItem · object)[]
required
List of analysis items configured for post-call analysis
- StringAnalysisItem
- EnumAnalysisItem
- BooleanAnalysisItem
- NumberAnalysisItem
Show child attributes
Show child attributes
Identifier of the user who created this analysis configuration
Identifier of the AI agent this analysis configuration is associated with
Timestamp when this analysis configuration was created, in UTC
Timestamp when this analysis configuration was last modified, in UTC. Null if never modified
⌘I

